// intrface.h
//
// Requires DDK Only
// File created on 8/12/2008
//

// Define an Interface Guid for TVTuner device class.
// This GUID is used to register (IoRegisterDeviceInterface)
// an instance of an interface so that user application
// can control the TVTuner device.
//
//  {F7396347-B547-420C-91EF-8B8BBC62704C}
DEFINE_GUID(GUID_DEVINTERFACE_TVTUNER,
    0xF7396347, 0xB547, 0x420C, 0x91, 0xEF, 0x8B, 0x8B, 0xBC, 0x62, 0x70, 0x4C);

// GUID definition are required to be outside of header inclusion pragma to avoid
// error during precompiled headers.
//

#ifndef __INTRFACE_H__
#define __INTRFACE_H__

#define FILE_DEVICE_TVTUNER  0x8000

// Define Interface reference/dereference routines for
// Interfaces exported by IRP_MN_QUERY_INTERFACE

#define TVTUNER_IOCTL(index) \
    CTL_CODE(FILE_DEVICE_TVTUNER, index, METHOD_BUFFERED, FILE_READ_DATA)


#endif // __INTRFACE_H__
